Skip to main content
GET
Get Workflow Templates

Authorizations

Authorization
string
header
required

Retrieve your API Key from Dashboard API Keys Section.

Query Parameters

size
integer
default:300

Number of items per page

Required range: x >= 1
page
integer
default:1

Page number

Required range: x >= 1
search
string | null

Search keywords

start
string<date-time> | null

Filter by start time (ISO 8601 format)

end
string<date-time> | null

Filter by end time (ISO 8601 format)

logical_id
string | null
workflow_id
string | null
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

access_level
enum<string> | null

Enum representing different access control levels.

Available options:
personal,
team,
system

Response

Successful Response

Response model for a list of workflow templates. Contains a list of WorkflowTemplateModel objects.

workflow_templates
WorkflowTemplatesModel · object[]

List of workflow templates

total
integer | null

Total number of workflow templates available without pagination.